data:extend(
{
  {
    type = "recipe",
    name = "gun-turret",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
      {"iron-gear-wheel", 10},
      {"electronic-circuit", 3}, -- Was 10 copper-plate (1 less copper, 3 more iron, checks out...)
      {"iron-plate", 20}
    },
    result = "gun-turret"
  },
  {
    type = "recipe",
    name = "radar",
    enabled = false,
    energy_required = 10, -- Not instant anymore... Buff it in return?
    ingredients =
    {
      {"electronic-circuit", 5},
      {"iron-gear-wheel", 5},
      {"iron-plate", 10}
    },
    result = "radar"
  }, -- Tech-locked now. More reason for buff?
  {
    type = "recipe",
    name = "basic-transport-belt",
    energy_required = 1,
    ingredients =
    {
      {"iron-plate", 1},
      {"iron-gear-wheel", 1},
      --{copper-cable", 1} -- Add this?
    },
    result = "basic-transport-belt",
    result_count = 2
  },
  {
    type = "recipe",
    name = "stone-furnace",
    energy_required = 2,
    ingredients =
    {
      {"stone-brick", 8},
      --{"wood", 4},
    }, -- Required 5 "raw" stone before. Higher need here, eliminated stone need for other structures.
    result = "stone-furnace"
  },
  {
    type = "recipe",
    name = "basic-inserter",
    energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-gear-wheel", 1},
      {"iron-plate", 1}
    },
    result = "basic-inserter"
  },
  {
    type = "recipe",
    name = "burner-inserter",
    enabled = false, -- Disabled, no need for it anymore.
    ingredients =
    {
      {"iron-plate", 1},
      {"iron-gear-wheel", 1}
    },
    result = "burner-inserter"
  },
  {
    type = "recipe",
    name = "concrete",
    energy_required = 10,
    enabled = false,
    category = "crafting-with-fluid",
    ingredients =
    {
      {"stone", 5}, -- Fixed to not use cut (previously, "melted") stone, but "raw"
      {"iron-ore", 1},
      {type="fluid", name="water", amount=10}
    },
    result= "concrete",
    result_count = 10
  },
  -- Basic resource processing
  {
    type = "recipe",
    name = "wood",
    energy_required = 2,
    ingredients = {{"raw-wood", 1}},
    result = "wood",
    result_count = 1
  },
  {
    type = "recipe",
    name = "science-pack-1",
    energy_required = 5,
    ingredients =
    {
      --{"electronic-circuit", 2},
      {"copper-plate", 1},
      {"iron-gear-wheel", 1}
    },
    result = "science-pack-1"
  },
  {
    type = "recipe",
    name = "stone-brick",
    energy_required = 2,
    ingredients = {{"stone", 1}},
    result = "stone-brick"
  }, -- Not smelted anymore, but cut. Ergo, "Cut stone" in-game
  {
    type = "recipe",
    name = "stone-tiles",
    energy_required = 2,
    ingredients = {{"stone-brick", 2}}, -- Up requirements?
    result = "stone-tiles"
  },
  {
    type = "recipe",
    name = "iron-stick",
    energy_required = 2,
    ingredients = {{"iron-plate", 1}},
    result = "iron-stick",
    result_count = 2
  },
  {
    type = "recipe",
    name = "iron-gear-wheel",
    energy_required = 2,
    ingredients = {{"iron-plate", 2}},
    result = "iron-gear-wheel"
  },
  {
    type = "recipe",
    name = "copper-cable",
    energy_required = 2,
    ingredients = {{"copper-plate", 1}},
    result = "copper-cable",
    result_count = 2
  },
  {
    type = "recipe",
    name = "electronic-circuit",
    energy_required = 2,
    ingredients =
    {
      {"iron-plate", 1},
      {"copper-cable", 3}
    },
    result = "electronic-circuit"
  },
  {
    type = "recipe",
    name = "pistol",
    energy_required = 2,
    ingredients =
    {
      {"copper-plate", 5},
      {"iron-plate", 5}
    },
    result = "pistol"
  },
  {
    type = "recipe",
    name = "small-electric-pole",
    ingredients =
    {
      {"wood", 1},
      {"copper-cable", 1}
    },
    result = "small-electric-pole",
    result_count = 1
  }, -- Half cost, half yield. For when you only need 1 pole!!!
  {
    type = "recipe",
    name = "burner-mining-drill",
    energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-gear-wheel", 2}, -- 2 or 3?
      {"iron-plate", 7}, -- Tweak this more
    },
    result = "burner-mining-drill"
  },
  {
    type = "mining-drill",
    name = "burner-mining-drill",
    icon = "__base__/graphics/icons/burner-mining-drill.png",
    flags = {"placeable-neutral", "player-creation"},
    resource_categories = {"basic-solid"},
    minable = {mining_time = 1, result = "burner-mining-drill"},
    max_health = 100,
    corpse = "medium-remnants",
    collision_box = {{ -0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{ -1, -1}, {1, 1}},
    mining_speed = 0.35,
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/burner-mining-drill.ogg",
        volume = 0.8
      },
    },
    energy_source =
    {
      type = "electric",
      emissions = 0.1 / 3, -- FIXME (0.15 / 1.5 for large)
      usage_priority = "secondary-input"
    },
    energy_usage = "45kW", -- Was 300kW, setting it to 45kW (half of large mining drill)
    mining_power = 2.5,
    animations =
    {
      north =
      {
        priority = "extra-high",
        width = 110,
        height = 76,
        line_length = 4,
        shift = {0.6875, -0.09375},
        filename = "__base__/graphics/entity/burner-mining-drill/north.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      },
      east =
      {
        priority = "extra-high",
        width = 94,
        height = 74,
        line_length = 4,
        shift = {0.4375, -0.09375},
        filename = "__base__/graphics/entity/burner-mining-drill/east.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      },
      south =
      {
        priority = "extra-high",
        width = 89,
        height = 88,
        line_length = 4,
        shift = {0.40625, 0},
        filename = "__base__/graphics/entity/burner-mining-drill/south.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      },
      west =
      {
        priority = "extra-high",
        width = 91,
        height = 78,
        line_length = 4,
        shift = {0.09375, -0.0625},
        filename = "__base__/graphics/entity/burner-mining-drill/west.png",
        frame_count = 32,
        animation_speed = 0.5,
        run_mode = "forward-then-backward",
      }
    },
    resource_searching_radius = 0.99,
    vector_to_place_result = {-0.5, -1.3},
    fast_replaceable_group = "mining-drill"
  }, -- Uses electricity now. FIXME: Does not belong in here!
  -- Below are now tech-locked
  {
    type = "recipe",
    name = "boiler",
    enabled = false,
    ingredients =
    {
      {"iron-plate", 5}, -- 5 stone to 5 plate
      {"pipe", 1}
    },
    result = "boiler"
  },
  {
    type = "recipe",
    name = "steam-engine",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"iron-gear-wheel", 5},
      {"pipe", 5},
      {"iron-plate", 5}
    },
    result = "steam-engine"
  },
  {
    type = "recipe",
    name = "offshore-pump",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"pipe", 1},
      {"iron-gear-wheel", 1}
    },
    result = "offshore-pump"
  },
  {
    type = "recipe",
    name = "basic-mining-drill",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 3},
      {"iron-gear-wheel", 5},
      {"iron-plate", 10}
    },
    result = "basic-mining-drill"
  },
}
)